## evolution-data-server-lomiri 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(evolution-data-server-lomiri VERSION 0.2.0 LANGUAGES C)

include(FindPkgConfig)

# Standard install paths
include(GNUInstallDirs)

pkg_check_modules(GLIB REQUIRED glib-2.0>=2.32)
pkg_check_modules(GIO REQUIRED gio-2.0>=2.32)
pkg_check_modules(EDATASERVER REQUIRED libedataserver-1.2>=3.8)
pkg_check_modules(FOLKS REQUIRED folks>=0.9.0)
pkg_check_modules(FOLKS_EDS REQUIRED folks-eds)
pkg_check_modules(GLIB_ACCOUNTS REQUIRED libaccounts-glib)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${GLIB_INCLUDE_DIRS}
    ${GLIB_ACCOUNTS_INCLUDE_DIRS}
    ${GIO_INCLUDE_DIRS}
    ${FOLKS_EDS_INCLUDE_DIRS}
)

set(LOMIRI_SOURCE_LIB edataserver-source-lomiri)

execute_process(
    COMMAND pkg-config --variable=moduledir libebackend-1.2
    OUTPUT_VARIABLE EDS_MODULES_DIR
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
set(LOMIRI_SOURCE_PC_FILE evolution-data-server-lomiri.pc)
configure_file(${LOMIRI_SOURCE_PC_FILE}.in ${CMAKE_CURRENT_BINARY_DIR}/${LOMIRI_SOURCE_PC_FILE} @ONLY)

# Lomiri EDS Source
set(LOMIRI_SOURCE_LIB_HEADERS
    e-source-lomiri.h
)
set(LOMIRI_SOURCE_LIB_SRCS
    e-source-lomiri.c
    ${LOMIRI_SOURCE_LIB_HEADERS}
)
add_library(${LOMIRI_SOURCE_LIB} SHARED
    ${LOMIRI_SOURCE_LIB_SRCS}
)
set_target_properties("${LOMIRI_SOURCE_LIB}" PROPERTIES
    VERSION 0.0.0 SOVERSION 0
)
target_link_libraries(${LOMIRI_SOURCE_LIB}
    ${GLIB_LIBRARIES}
    ${GLIB_ACCOUNTS_LIBRARIES}
    ${GIO_LIBRARIES}
    ${FOLKS_EDS_LIBRARIES}
)
install(TARGETS ${LOMIRI_SOURCE_LIB}
    LIBRARY DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}
)
install(FILES ${LOMIRI_SOURCE_LIB_HEADERS}
    DESTINATION ${CMAKE_INSTALL_FULL_INCLUDEDIR}/evolution-data-server-lomiri
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${LOMIRI_SOURCE_PC_FILE}
    DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig/
)

# Module Lomiri EDS Sources
set(MODULE_LOMIRI_SOURCES  module-lomiri-sources)
set(MODULE_LOMIRI_SOURCES_SRCS
    module-lomiri-sources.c
)
add_library(${MODULE_LOMIRI_SOURCES} MODULE
    ${MODULE_LOMIRI_SOURCES_SRCS}
)
set_target_properties(${MODULE_LOMIRI_SOURCES}
    PROPERTIES PREFIX ""
)
target_link_libraries(${MODULE_LOMIRI_SOURCES}
    ${GLIB_LIBRARIES}
    ${GLIB_ACCOUNTS_LIBRARIES}
    ${GIO_LIBRARIES}
    ${FOLKS_EDS_LIBRARIES}
    ${LOMIRI_SOURCE_LIB}
)
install(TARGETS ${MODULE_LOMIRI_SOURCES}
    LIBRARY DESTINATION ${EDS_MODULES_DIR}/
)

## evolution-data-server-lomiri 0.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(evolution-data-server-lomiri VERSION 0.2.0 LANGUAGES C)
+project(evolution-data-server-lomiri VERSION 0.2.1 LANGUAGES C)
 
 include(FindPkgConfig)

=== debian/changelog ===
evolution-data-server-lomiri (0.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 20 Jun 2024 19:33:54 +0200

evolution-data-server-lomiri (0.2.0-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 06 Jun 2024 16:11:56 +0200

evolution-data-server-lomiri (0.2.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1072251).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 31 May 2024 15:48:42 +0200

=== debian/control ===
Source: evolution-data-server-lomiri
Section: libs
Priority: optional
Maintainer: UBports developers <devs@ubports.com>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake (>= 3.5),
               debhelper-compat (= 13),
               libaccounts-glib-dev,
               libedataserver1.2-dev,
               libfolks-eds-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/evolution-data-server-lomiri
Vcs-Git: https://salsa.debian.org/ubports-team/evolution-data-server-lomiri.git
Vcs-Browser: https://salsa.debian.org/ubports-team/evolution-data-server-lomiri

Package: evolution-data-server-lomiri
Architecture: any
Depends: libedataserver-source-lomiri0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: EDS extension used by Lomiri Apps
 An EDS extension used by Lomiri apps to store extra metadata into EDS
 sources, used by qtorganizer5-eds.
 .
 This package provides the EDS Lomiri extension.

Package: libedataserver-source-lomiri0
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: EDS extension used by Lomiri Apps - consumer API
 An EDS extension used by Lomiri apps to store extra metadata into EDS
 sources, used by qtorganizer5-eds.
 .
 This package provides a shared library for consumers (i.e. apps).

Package: libedataserver-source-lomiri-dev
Section: libdevel
Architecture: any
Depends: libedataserver-source-lomiri0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: EDS extension used by Lomiri Apps - consumer development files
 An EDS extension used by Lomiri apps to store extra metadata into EDS
 sources, used by qtorganizer5-eds.
 .
 This package contains header files for libedataserver-source-lomiri.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
